#include <stdio.h>
#include <rpc/rpc.h>
#include "fs.h"

char server[] = "odoaker.hrz.tu-chemnitz.de";

main (argc,argv)
int argc;
char **argv;
{
  CLIENT  *cl;
  struct timeval tv;
  int z;

  struct uebertrage *ab, abschnitt; 
  struct zeile *ze, zeile;
  
  cl = clnt_create (server, FS, FSVERS, "tcp");
  if (cl == NULL)
  {
    clnt_pcreateerror (server);
    fprintf(stderr,"Fileserver %s ist z.Z. nicht erreichbar!\n",
                               server);
    exit (1);
  }
  tv.tv_sec=300;
  tv.tv_usec=0;
  clnt_control(cl,CLSET_TIMEOUT,&tv);
  z=0;
  zeile.ende_kz = 1;
  while (zeile.ende_kz != 0) {
    abschnitt.ab_position=z;
    strncpy(abschnitt.filename,argv[1],99);
    ab = &abschnitt;
    ze = transport_1(ab, cl);
    if (ze == NULL)
    {
      clnt_perror (cl, server);
      exit (1);
    }
    zeile=*ze;
    if(zeile.ende_kz < 0) { fprintf(stderr,
         "File %s \nkann auf Server %s \nnicht gelesen werden\n",
               argv[1],             server);
      exit(zeile.ende_kz*(-1));
    }
    if(zeile.ende_kz > 0) {
      printf("%s",zeile.zeile);
      z = zeile.ende_kz;
    }
  }
}
